# QFocusEvent Class Reference

### [com.trolltech.qt.gui package]

Inherits QEvent.

### Constructor

- void QFocusEvent(Type type, FocusReason reason)

### Constructor Properties

- prototype: The QFocusEvent prototype object

### Prototype Object Properties

The QFocusEvent prototype object inherits properties from the QEvent prototype object and also has the following properties.

- bool gotFocus()
- bool lostFocus()
- FocusReason reason()

### Instance Properties

QFocusEvent objects have no special properties beyond those inherited from the QFocusEvent prototype object.